VismaBouwsoftAPICalls.v1_PUT_ProductAlternativeUnits Method
v1_PUT_ProductAlternativeUnits() as String

This API call is used to update fields of a(n) ProductAlternativeUnit

General Description

HTTP method API version
PUT v1

Don’t forget to put the Authorization field in the header

API Path: /ProductAlternativeUnits/{id}

You make this API call with the key field id as the path parameter (the id of the ProductAlternativeUnit you want to update)

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
product_id 1 tpLong 0 Yes Yes No
unit 2 tpString 10 Yes Yes No
unit_localized 2 tpString 10 No No No
factor 4 tpDouble 0 No Yes No
bulkdiscount 5 tpBool 0 No Yes No
bulkdiscount_fromquantity 4 tpDouble 0 No Yes No
price_cost 14 tpCurrencyHD 0 No Yes No
margin_catalogue 14 tpCurrencyHD 0 No No No
price_catalogue 14 tpCurrencyHD 0 No Yes No
barcode 2 tpString 0 No Yes No

/ProductAlternativeUnits/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ProductAlternativeUnits/902

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: bPlfWxfGtGzSfffOPfzRqbmPfDfVkGAlfkmkzUjbAmGImfDfDb

Query Parameters :
ParameterName: columns, ParameterValue: factor=1.1

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 902,
    "factor": 1.1,
    "price_cost": 2.75,
    "price_catalogue": 3.575
  }
]
}